<template>
  <div v-loading="loading" class="admin-edit-page">
    <h1>Edit page</h1>
    <client-only>
      <Form v-if="result && result.page" v-model="result.page" />
    </client-only>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import Form from '@/components/admin/pages/Form.vue'
import { useAdminGetPageQuery } from '~/sdk/hooks'

export default defineComponent({
  name: 'AdminEditPage',
  components: { Form },
  setup(_, { root }) {
    const { loading, result, onError } = useAdminGetPageQuery(
      {
        id: root.$route.params.id
      },
      {
        fetchPolicy: 'network-only'
      }
    )

    onError(err => {
      root.$message.error(err?.message || 'error')
    })

    return { loading, result }
  }
})
</script>

<style lang="scss" scoped>
.admin-edit-page {
  min-height: 50vh;
}
</style>
